
#include <TinyWireS.h>
#include <avr/io.h>
#include <util/delay.h>

#define I2C_SLAVE_ADDR  0x26            // i2c slave address (38)
#define LED1_PIN         8              // ATtiny Pin 5 (PB2)
#define SERVO_PIN         7              // 

int loop_count =  30;

void setup()
{
  //CLKPR = (1 << CLKPCE);
  //CLKPR = (0 << CLKPS3) | (0 << CLKPS2) | (0 << CLKPS1) | (0 << CLKPS0);

  pinMode(LED1_PIN,OUTPUT);             // for general DEBUG use
  pinMode(SERVO_PIN, OUTPUT);
  Blink(LED1_PIN,2);                    // show it's alive
  TinyWireS.begin(I2C_SLAVE_ADDR);      // init I2C Slave mode         // start serial for output
}

void loop()
{

  byte byteRcvd = 0;
  if (TinyWireS.available()){           // got I2C input!
    byteRcvd = TinyWireS.receive();     // get the byte from master
    if(byteRcvd == 'x'){
      Blink(LED1_PIN, 1);           // master must wait for this to finish before calling Wire.requestFrom
      //int test = 4;
      TinyWireS.send(byteRcvd);     // send it back to master
      
      for (int i = 0; i < loop_count; ++i) {//30000
        digitalWrite(SERVO_PIN, HIGH);
        delayMicroseconds(10); // 1000
        digitalWrite(SERVO_PIN, LOW);
        delayMicroseconds(29990);
      }
      delay(800);
      //
      // 2 ms on time, both
      //
      for (int i = 0; i < loop_count; ++i) {
        digitalWrite(SERVO_PIN, HIGH);
        delayMicroseconds(1500); // Approximately 10% duty cycle @ 1KHz
        digitalWrite(SERVO_PIN, LOW);
        delayMicroseconds(28500);
      }


    }
  }
}



void Blink(byte led, byte times){ // poor man's display
  for (byte i=0; i< times; i++){
    digitalWrite(led,HIGH);
    delay (250);
    digitalWrite(led,LOW);
    delay (175);
  }
}





